ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "James Abley" <james.ab...@gmail.com>
Subject Re: Redirecting <javac> compile errors
Date Thu, 17 Jan 2008 00:37:00 GMT
On 16/01/2008, Steve Loughran <stevel@apache.org> wrote:
> Toomey, Kevin H (ATS, IT) wrote:
> > It looks like support for JSR199 (java compiler API) would give me what I'm looking
for, but I couldn't tell for sure if/when that support would be available with Ant.
>
>
> The open source story with ant is: if you need a feature, you get to
> implement it. If you can add a new compiler adapter in a way that it
> works, and such that ant still builds on pre Java-6 systems, then it
> will go into Ant 1.8. Otherwise, you have to wait until someone else has
> the need and the time.
>
> -steve

What is the base target version for ant development these days? Java 5?

James

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@ant.apache.org
For additional commands, e-mail: user-help@ant.apache.org


Mime
View raw message